/* Migrate Peer To Samba */

lsshareini = SysBootDrive()'\IBMLAN\LSSHARE.INI'
ibmlanini  = SysBootDrive()'\IBMLAN\IBMLAN.INI'

/* IBMLAN.INI part */
ibmlanline = strip(translate(linein(ibmlanini),' ','09'x))

do while translate(left(ibmlanline,11)) <> "[REQUESTER]"
    ibmlanline = strip(translate(linein(ibmlanini),' ','09'x))
end

say '[global]'
do until left(ibmlanline,1) = '['
    ibmlanline = strip(translate(linein(ibmlanini),' ','09'x))
    parse var ibmlanline voc '=' val
    voc = strip(voc)
    val = strip(val)
    if translate(voc) = "DOMAIN" then do
        say '09'x||'workgroup = 'val
    end
    if translate(voc) = "COMPUTERNAME" then do
        say '09'x||'netbios name = 'val
    end
end
do while translate(left(ibmlanline,6)) <> '[PEER]'
    ibmlanline = strip(translate(linein(ibmlanini),' ','09'x))
end
do until left(ibmlanline,1) = '[' | lines(ibmlanini) = 0
    ibmlanline = strip(translate(linein(ibmlanini),' ','09'x))
    parse var ibmlanline voc '=' val
    voc = strip(voc)
    val = strip(val)
    if translate(voc) = "SRVCOMMENT" then do
        say '09'x||'server string = 'val
        say '09'x||'comment = 'val
    end
end

say '09'x||'security = USER'
say '09'x||'log level = 2'
say ';'||'09'x||'log file = */logs/log.smbd.%U.%M'
say '09'x||'load printers = No'
say '09'x||'time server = Yes'
say ';'||'09'x||'lock directory = */var/locks'
say '09'x||'ea support = Yes'
say '09'x||'store dos attributes = Yes'
say

/* LSSHARE.INI part */

ok = SysINI(lsshareini,"ALL:","Shares." )
SharePath.0 = shares.0
Comment.0 = shares.0
Type.0 = shares.0

do I = 1 to shares.0
    say '['Shares.I']'
    Comment.I = SysINI(lsshareini, shares.I, 'Remark')
    say '09'x||'comment = 'Comment.I
    sharepath.I = SysINI(lsshareini, shares.I, 'Path')
    say '09'x||'browseable = Yes'
    Type.I = c2d(left(SysINI(lsshareini, shares.I, 'Type'),1))
    if Type.I = '1' then do
        say '09'x||'path = '
        say '09'x||'printable = Yes'
        say '09'x||'printer name = 'Sharepath.I
    end
    else do
        say '09'x||'path = 'translate(Sharepath.I,'/','\')
        say '09'x||'hide files = /*. SF/root/'
    end
    say
end
